Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.server
Class ServerCountsImpl

    java.lang.Object
      |
      +--com.novell.service.server.ServerCountsImpl

public class ServerCountsImpl
extends java.lang.Object
implements , ServerCounts

Provides the Attribute value of an attribute of a ServerDirContext.

See Also:
  `ServerCounts`

Constructor Summary
`ServerCountsImpl()` Constructs a ServerCountsImpl attribute value.

Method Summary
`short` | `getConnectionsInUse()` Returns the number of connections currently in use.
`short` | `getMaxConnections()` Returns the maximum number of connection slots that the server has allocated since it was started.
`short` | `getMaxConnectionsUsed()` Returns the maximum number of licensed connections in use at one time.
`short` | `getMaxVolumes()` Returns the maximum number of volumes supported.
`int` | `getNumberOfNCPRequests()` Returns the number of the NCP requests since the server was brough up.
`byte` | `getSFTLevel()` Returns the SFT level of the server.
`byte` | `getTTSLevel()` Returns the TTS level of the server.
`void` | `setConnectionsInUse(short value)` Sets the number of connections currently in use as the search value.
`void` | `setMaxConnections(short value)` Sets the maximum number of connection slots as the search value.
`void` | `setMaxConnectionsUsed(short value)` Sets the maximum number of licensed connections in use at one time as the search value.
`void` | `setMaxVolumes(short value)` Sets the maximum number of volumes supported as the search value.
`void` | `setNumberOfNCPRequests(int value)` Sets the number of NCP requests as the search value.
`void` | `setSFTLevel(byte value)` Sets the SFT level of the server as the search value.
`void` | `setTTSLevel(byte value)` Sets the TTS level of the server as the search value.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerCountsImpl

    public ServerCountsImpl()

  Constructs a ServerCountsImpl attribute value. This constructor is used to manually create attributes for methods such as search().

Method Detail

### getNumberOfNCPRequests

    public int getNumberOfNCPRequests()
                               throws com.novell.service.jncp.NSIException

  Returns the number of the NCP requests since the server was brough up.
  Specified by:
    getNumberOfNCPRequests in interface ServerCounts
  Returns:
    The number of NCP request.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getMaxConnections

    public short getMaxConnections()
                            throws com.novell.service.jncp.NSIException

  Returns the maximum number of connection slots that the server has allocated since it was started. It does not indicate how many connections the server supports.
  Specified by:
    getMaxConnections in interface ServerCounts
  Returns:
    The maximum number of connection slots.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getMaxConnectionsUsed

    public short getMaxConnectionsUsed()
                                throws com.novell.service.jncp.NSIException

  Returns the maximum number of licensed connections in use at one time.
  Specified by:
    getMaxConnectionsUsed in interface ServerCounts
  Returns:
    The maximum number of connections.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getConnectionsInUse

    public short getConnectionsInUse()
                              throws com.novell.service.jncp.NSIException

  Returns the number of connections currently in use.
  Specified by:
    getConnectionsInUse in interface ServerCounts
  Returns:
    The number of connections in use.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getMaxVolumes

    public short getMaxVolumes()
                        throws com.novell.service.jncp.NSIException

  Returns the maximum number of volumes supported.
  Specified by:
    getMaxVolumes in interface ServerCounts
  Returns:
    The number of volumes supported.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getSFTLevel

    public byte getSFTLevel()
                     throws com.novell.service.jncp.NSIException

  Returns the SFT level of the server.
  Specified by:
    getSFTLevel in interface ServerCounts
  Returns:
    The server's SFT level.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getTTSLevel

    public byte getTTSLevel()
                     throws com.novell.service.jncp.NSIException

  Returns the TTS level of the server.
  Specified by:
    getTTSLevel in interface ServerCounts
  Returns:
    The server's TTS level.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setNumberOfNCPRequests

    public void setNumberOfNCPRequests(int value)
                                throws com.novell.service.jncp.NSIException

  Sets the number of NCP requests as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setNumberOfNCPRequests in interface ServerCounts
  Parameters:
    `value` - The number of NCP request.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setMaxConnections

    public void setMaxConnections(short value)
                           throws com.novell.service.jncp.NSIException

  Sets the maximum number of connection slots as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setMaxConnections in interface ServerCounts
  Parameters:
    `value` - The maximum number of connection slots.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setMaxConnectionsUsed

    public void setMaxConnectionsUsed(short value)
                               throws com.novell.service.jncp.NSIException

  Sets the maximum number of licensed connections in use at one time as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setMaxConnectionsUsed in interface ServerCounts
  Parameters:
    `value` - The maximum number of connections.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setConnectionsInUse

    public void setConnectionsInUse(short value)
                             throws com.novell.service.jncp.NSIException

  Sets the number of connections currently in use as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setConnectionsInUse in interface ServerCounts
  Parameters:
    `value` - The number of connections in use.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setMaxVolumes

    public void setMaxVolumes(short value)
                       throws com.novell.service.jncp.NSIException

  Sets the maximum number of volumes supported as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setMaxVolumes in interface ServerCounts
  Parameters:
    `value` - The number of volumes supported.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setSFTLevel

    public void setSFTLevel(byte value)
                     throws com.novell.service.jncp.NSIException

  Sets the SFT level of the server as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setSFTLevel in interface ServerCounts
  Parameters:
    `value` - The server's SFT level.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setTTSLevel

    public void setTTSLevel(byte value)
                     throws com.novell.service.jncp.NSIException

  Sets the TTS level of the server as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setTTSLevel in interface ServerCounts
  Parameters:
    `value` - The server's TTS level.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD